@echo OFF
REM /*****************************************************************************
REM /* Created By:   Rob Stevens, Thinkage Ltd.                                  *
REM /* Created On:   Feb. 13, 2009                                               *
REM /* Description:  This batch file resets the default maximum user connections *
REM /*               in SQL Server (and SQL Express) to its maximum value        *
REM /*               (unlimited, essentially).                                   *
REM /* Usage:        FixMaxUsers.cmd <Optional SQL Server\Instance Name>         *
REM /*               (Defaults to .\SQLEXPRESS)                                  *
REM /*****************************************************************************
if(%1) == () goto default
set serv=%1
goto start

:default
set serv=.\SQLEXPRESS

:start
sqlcmd -S %serv% -Q "EXEC sys.sp_configure N'show advanced options',N'1' RECONFIGURE WITH OVERRIDE"
if errorlevel 1 goto error
sqlcmd -S %serv% -Q "EXEC sys.sp_configure N'user connections',N'32767'"
if errorlevel 1 goto error
sqlcmd -S %serv% -Q "EXEC sys.sp_configure N'show advanced options',N'0' RECONFIGURE WITH OVERRIDE"
if errorlevel 1 goto error
echo
echo Operation Completed Sucessfully
echo
pause
exit /b  0

:error
echo
echo Operation was unsuccessful.  Contact MainBoss Customer 
echo Support at 800-563-0894 x.213
pause
exit /b 1
